### Constructor

# ICalGLib Parameter new

since: 1.0

#### Declaration [src]

    ICalParameter*
    i_cal_parameter_new (
      ICalParameterKind v
    )

#### Description [src]

Creates a new `ICalParameter` according to the kind type.

Available since: 1.0

#### Parameters

`v`

  Type: `ICalParameterKind`

  The type of `ICalParameter` to be created.

#### Return value

Type: `ICalParameter`

The newly created `ICalParameter`.

The caller of the function takes ownership of the data, and is responsible for freeing it.